
_interrupt:

;auto_pump.mbas,172 :: 		sub procedure interrupt
;auto_pump.mbas,173 :: 		if Timer0_overflowed then  ' 0.82msec period
	BTFSS       INTCON+0, 2 
	GOTO        L__interrupt2
;auto_pump.mbas,175 :: 		case 1
	MOVF        _led_pos+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt7
;auto_pump.mbas,176 :: 		LED_DEV4_PORT.LED_DEV4_BIT = LED_7SEG_OFF
	BSF         PORTB+0, 2 
;auto_pump.mbas,177 :: 		LED_SEG_PORT = led_val1
	MOVF        _led_val1+0, 0 
	MOVWF       PORTC+0 
;auto_pump.mbas,178 :: 		LED_DEV1_PORT.LED_DEV1_BIT = LED_7SEG_ON
	BCF         PORTB+0, 5 
;auto_pump.mbas,179 :: 		led_pos = led_pos + 1
	INCF        _led_pos+0, 1 
	GOTO        L__interrupt4
L__interrupt7:
;auto_pump.mbas,180 :: 		case 2
	MOVF        _led_pos+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt10
;auto_pump.mbas,181 :: 		LED_DEV1_PORT.LED_DEV1_BIT = LED_7SEG_OFF
	BSF         PORTB+0, 5 
;auto_pump.mbas,182 :: 		LED_SEG_PORT = led_val2
	MOVF        _led_val2+0, 0 
	MOVWF       PORTC+0 
;auto_pump.mbas,183 :: 		LED_DEV2_PORT.LED_DEV2_BIT = LED_7SEG_ON
	BCF         PORTB+0, 4 
;auto_pump.mbas,184 :: 		led_pos = led_pos + 1
	INCF        _led_pos+0, 1 
	GOTO        L__interrupt4
L__interrupt10:
;auto_pump.mbas,185 :: 		case 3
	MOVF        _led_pos+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt13
;auto_pump.mbas,186 :: 		LED_DEV2_PORT.LED_DEV2_BIT = LED_7SEG_OFF
	BSF         PORTB+0, 4 
;auto_pump.mbas,187 :: 		LED_SEG_PORT = led_val3
	MOVF        _led_val3+0, 0 
	MOVWF       PORTC+0 
;auto_pump.mbas,188 :: 		LED_DEV3_PORT.LED_DEV3_BIT = LED_7SEG_ON
	BCF         PORTB+0, 3 
;auto_pump.mbas,189 :: 		led_pos = led_pos + 1
	INCF        _led_pos+0, 1 
	GOTO        L__interrupt4
L__interrupt13:
;auto_pump.mbas,190 :: 		case 4
	MOVF        _led_pos+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt16
;auto_pump.mbas,191 :: 		LED_DEV3_PORT.LED_DEV3_BIT = LED_7SEG_OFF
	BSF         PORTB+0, 3 
;auto_pump.mbas,192 :: 		LED_SEG_PORT = led_val4
	MOVF        _led_val4+0, 0 
	MOVWF       PORTC+0 
;auto_pump.mbas,193 :: 		LED_DEV4_PORT.LED_DEV4_BIT = LED_7SEG_ON
	BCF         PORTB+0, 2 
;auto_pump.mbas,194 :: 		led_pos = 1
	MOVLW       1
	MOVWF       _led_pos+0 
	GOTO        L__interrupt4
L__interrupt16:
L__interrupt4:
;auto_pump.mbas,196 :: 		Timer0_overflowed = FALSE   ' Clear interrupt flag
	BCF         INTCON+0, 2 
L__interrupt2:
;auto_pump.mbas,199 :: 		if Timer2_overflowed then  ' 4msec period
	BTFSS       PIR1+0, 1 
	GOTO        L__interrupt18
;auto_pump.mbas,200 :: 		if (down_timer_4msec <> 0) and timer_enable then
	MOVLW       0
	MOVWF       R0 
	XORWF       _down_timer_4msec+3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt466
	MOVF        R0, 0 
	XORWF       _down_timer_4msec+2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt466
	MOVF        R0, 0 
	XORWF       _down_timer_4msec+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt466
	MOVF        _down_timer_4msec+0, 0 
	XORLW       0
L__interrupt466:
	MOVLW       0
	BTFSS       STATUS+0, 2 
	MOVLW       255
	MOVWF       R0 
	MOVF        _timer_enable+0, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__interrupt21
;auto_pump.mbas,201 :: 		down_timer_4msec = down_timer_4msec - 1
	MOVLW       1
	SUBWF       _down_timer_4msec+0, 1 
	MOVLW       0
	SUBWFB      _down_timer_4msec+1, 1 
	SUBWFB      _down_timer_4msec+2, 1 
	SUBWFB      _down_timer_4msec+3, 1 
L__interrupt21:
;auto_pump.mbas,204 :: 		if SW1_PORT.SW1_BIT = 0 then
	BTFSC       PORTE+0, 3 
	GOTO        L__interrupt24
;auto_pump.mbas,205 :: 		if press_counter_sw1 < 25000 then
	MOVLW       97
	SUBWF       _press_counter_sw1+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt467
	MOVLW       168
	SUBWF       _press_counter_sw1+0, 0 
L__interrupt467:
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt27
;auto_pump.mbas,206 :: 		press_counter_sw1 = press_counter_sw1 + 1
	INFSNZ      _press_counter_sw1+0, 1 
	INCF        _press_counter_sw1+1, 1 
L__interrupt27:
;auto_pump.mbas,207 :: 		end if
	GOTO        L__interrupt25
;auto_pump.mbas,208 :: 		else
L__interrupt24:
;auto_pump.mbas,209 :: 		use_sw1 = FALSE
	CLRF        _use_sw1+0 
;auto_pump.mbas,210 :: 		press_counter_sw1 = 0
	CLRF        _press_counter_sw1+0 
	CLRF        _press_counter_sw1+1 
;auto_pump.mbas,211 :: 		end if
L__interrupt25:
;auto_pump.mbas,213 :: 		if SW2_PORT.SW2_BIT = 0 then
	BTFSC       PORTA+0, 4 
	GOTO        L__interrupt30
;auto_pump.mbas,214 :: 		if press_counter_sw2 < 25000 then
	MOVLW       97
	SUBWF       _press_counter_sw2+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt468
	MOVLW       168
	SUBWF       _press_counter_sw2+0, 0 
L__interrupt468:
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt33
;auto_pump.mbas,215 :: 		press_counter_sw2 = press_counter_sw2 + 1
	INFSNZ      _press_counter_sw2+0, 1 
	INCF        _press_counter_sw2+1, 1 
L__interrupt33:
;auto_pump.mbas,216 :: 		end if
	GOTO        L__interrupt31
;auto_pump.mbas,217 :: 		else
L__interrupt30:
;auto_pump.mbas,218 :: 		use_sw2 = FALSE
	CLRF        _use_sw2+0 
;auto_pump.mbas,219 :: 		press_counter_sw2 = 0
	CLRF        _press_counter_sw2+0 
	CLRF        _press_counter_sw2+1 
;auto_pump.mbas,220 :: 		end if
L__interrupt31:
;auto_pump.mbas,222 :: 		if SW3_PORT.SW3_BIT = 0 then
	BTFSC       PORTA+0, 5 
	GOTO        L__interrupt36
;auto_pump.mbas,223 :: 		if press_counter_sw3 < 25000 then
	MOVLW       97
	SUBWF       _press_counter_sw3+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt469
	MOVLW       168
	SUBWF       _press_counter_sw3+0, 0 
L__interrupt469:
	BTFSC       STATUS+0, 0 
	GOTO        L__interrupt39
;auto_pump.mbas,224 :: 		press_counter_sw3 = press_counter_sw3 + 1
	INFSNZ      _press_counter_sw3+0, 1 
	INCF        _press_counter_sw3+1, 1 
L__interrupt39:
;auto_pump.mbas,225 :: 		end if
	GOTO        L__interrupt37
;auto_pump.mbas,226 :: 		else
L__interrupt36:
;auto_pump.mbas,227 :: 		use_sw3 = FALSE
	CLRF        _use_sw3+0 
;auto_pump.mbas,228 :: 		press_counter_sw3 = 0
	CLRF        _press_counter_sw3+0 
	CLRF        _press_counter_sw3+1 
;auto_pump.mbas,229 :: 		end if
L__interrupt37:
;auto_pump.mbas,231 :: 		Timer2_overflowed = FALSE
	BCF         PIR1+0, 1 
L__interrupt18:
;auto_pump.mbas,233 :: 		end sub
L_end_interrupt:
L__interrupt465:
	RETFIE      1
; end of _interrupt

_led_on:

;auto_pump.mbas,238 :: 		sub procedure led_on( dim led_no as byte )
;auto_pump.mbas,240 :: 		case 5 LED5_PORT.LED5_BIT = LED_3mm_ON
	MOVF        FARG_led_on_led_no+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__led_on45
	BSF         PORTA+0, 0 
	GOTO        L__led_on42
L__led_on45:
;auto_pump.mbas,241 :: 		case 6 LED6_PORT.LED6_BIT = LED_3mm_ON
	MOVF        FARG_led_on_led_no+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L__led_on48
	BSF         PORTA+0, 1 
	GOTO        L__led_on42
L__led_on48:
;auto_pump.mbas,242 :: 		case 7 LED7_PORT.LED7_BIT = LED_3mm_ON
	MOVF        FARG_led_on_led_no+0, 0 
	XORLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L__led_on51
	BSF         PORTB+0, 6 
	GOTO        L__led_on42
L__led_on51:
;auto_pump.mbas,243 :: 		case 8 LED8_PORT.LED8_BIT = LED_3mm_ON
	MOVF        FARG_led_on_led_no+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L__led_on54
	BSF         PORTB+0, 7 
	GOTO        L__led_on42
L__led_on54:
L__led_on42:
;auto_pump.mbas,245 :: 		end sub
L_end_led_on:
	RETURN      0
; end of _led_on

_LED_OFF:

;auto_pump.mbas,247 :: 		sub procedure LED_OFF( dim led_no as byte )
;auto_pump.mbas,249 :: 		case 5 LED5_PORT.LED5_BIT = LED_3mm_OFF
	MOVF        FARG_LED_OFF_led_no+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__LED_OFF59
	BCF         PORTA+0, 0 
	GOTO        L__LED_OFF56
L__LED_OFF59:
;auto_pump.mbas,250 :: 		case 6 LED6_PORT.LED6_BIT = LED_3mm_OFF
	MOVF        FARG_LED_OFF_led_no+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L__LED_OFF62
	BCF         PORTA+0, 1 
	GOTO        L__LED_OFF56
L__LED_OFF62:
;auto_pump.mbas,251 :: 		case 7 LED7_PORT.LED7_BIT = LED_3mm_OFF
	MOVF        FARG_LED_OFF_led_no+0, 0 
	XORLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L__LED_OFF65
	BCF         PORTB+0, 6 
	GOTO        L__LED_OFF56
L__LED_OFF65:
;auto_pump.mbas,252 :: 		case 8 LED8_PORT.LED8_BIT = LED_3mm_OFF
	MOVF        FARG_LED_OFF_led_no+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L__LED_OFF68
	BCF         PORTB+0, 7 
	GOTO        L__LED_OFF56
L__LED_OFF68:
L__LED_OFF56:
;auto_pump.mbas,254 :: 		end sub
L_end_LED_OFF:
	RETURN      0
; end of _LED_OFF

_led7seg_decode_char:

;auto_pump.mbas,259 :: 		sub function led7seg_decode_char( dim ascii_char as byte ) as byte
;auto_pump.mbas,261 :: 		case " "  result = Digit_N
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       32
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char73
	MOVLW       255
	MOVWF       R1 
	GOTO        L__led7seg_decode_char70
L__led7seg_decode_char73:
;auto_pump.mbas,262 :: 		case "0"  result = Digit_0
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       48
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char76
	MOVLW       192
	MOVWF       R1 
	GOTO        L__led7seg_decode_char70
L__led7seg_decode_char76:
;auto_pump.mbas,263 :: 		case "1"  result = Digit_1
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       49
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char79
	MOVLW       249
	MOVWF       R1 
	GOTO        L__led7seg_decode_char70
L__led7seg_decode_char79:
;auto_pump.mbas,264 :: 		case "2"  result = Digit_2
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       50
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char82
	MOVLW       164
	MOVWF       R1 
	GOTO        L__led7seg_decode_char70
L__led7seg_decode_char82:
;auto_pump.mbas,265 :: 		case "3"  result = Digit_3
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       51
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char85
	MOVLW       176
	MOVWF       R1 
	GOTO        L__led7seg_decode_char70
L__led7seg_decode_char85:
;auto_pump.mbas,266 :: 		case "4"  result = Digit_4
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       52
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char88
	MOVLW       153
	MOVWF       R1 
	GOTO        L__led7seg_decode_char70
L__led7seg_decode_char88:
;auto_pump.mbas,267 :: 		case "5"  result = Digit_5
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       53
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char91
	MOVLW       146
	MOVWF       R1 
	GOTO        L__led7seg_decode_char70
L__led7seg_decode_char91:
;auto_pump.mbas,268 :: 		case "6"  result = Digit_6
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       54
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char94
	MOVLW       130
	MOVWF       R1 
	GOTO        L__led7seg_decode_char70
L__led7seg_decode_char94:
;auto_pump.mbas,269 :: 		case "7"  result = Digit_7
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       55
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char97
	MOVLW       248
	MOVWF       R1 
	GOTO        L__led7seg_decode_char70
L__led7seg_decode_char97:
;auto_pump.mbas,270 :: 		case "8"  result = Digit_8
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       56
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char100
	MOVLW       128
	MOVWF       R1 
	GOTO        L__led7seg_decode_char70
L__led7seg_decode_char100:
;auto_pump.mbas,271 :: 		case "9"  result = Digit_9
	MOVF        FARG_led7seg_decode_char_ascii_char+0, 0 
	XORLW       57
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_char103
	MOVLW       144
	MOVWF       R1 
	GOTO        L__led7seg_decode_char70
L__led7seg_decode_char103:
;auto_pump.mbas,272 :: 		case else result = Digit_N
	MOVLW       255
	MOVWF       R1 
L__led7seg_decode_char70:
;auto_pump.mbas,274 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_led7seg_decode_char:
	RETURN      0
; end of _led7seg_decode_char

_led7seg_decode_number:

;auto_pump.mbas,279 :: 		sub function led7seg_decode_number( dim num as byte ) as byte
;auto_pump.mbas,281 :: 		case 0  result = Digit_0
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number108
	MOVLW       192
	MOVWF       R1 
	GOTO        L__led7seg_decode_number105
L__led7seg_decode_number108:
;auto_pump.mbas,282 :: 		case 1  result = Digit_1
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number111
	MOVLW       249
	MOVWF       R1 
	GOTO        L__led7seg_decode_number105
L__led7seg_decode_number111:
;auto_pump.mbas,283 :: 		case 2  result = Digit_2
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number114
	MOVLW       164
	MOVWF       R1 
	GOTO        L__led7seg_decode_number105
L__led7seg_decode_number114:
;auto_pump.mbas,284 :: 		case 3  result = Digit_3
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number117
	MOVLW       176
	MOVWF       R1 
	GOTO        L__led7seg_decode_number105
L__led7seg_decode_number117:
;auto_pump.mbas,285 :: 		case 4  result = Digit_4
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number120
	MOVLW       153
	MOVWF       R1 
	GOTO        L__led7seg_decode_number105
L__led7seg_decode_number120:
;auto_pump.mbas,286 :: 		case 5  result = Digit_5
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number123
	MOVLW       146
	MOVWF       R1 
	GOTO        L__led7seg_decode_number105
L__led7seg_decode_number123:
;auto_pump.mbas,287 :: 		case 6  result = Digit_6
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number126
	MOVLW       130
	MOVWF       R1 
	GOTO        L__led7seg_decode_number105
L__led7seg_decode_number126:
;auto_pump.mbas,288 :: 		case 7  result = Digit_7
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number129
	MOVLW       248
	MOVWF       R1 
	GOTO        L__led7seg_decode_number105
L__led7seg_decode_number129:
;auto_pump.mbas,289 :: 		case 8  result = Digit_8
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number132
	MOVLW       128
	MOVWF       R1 
	GOTO        L__led7seg_decode_number105
L__led7seg_decode_number132:
;auto_pump.mbas,290 :: 		case 9  result = Digit_9
	MOVF        FARG_led7seg_decode_number_num+0, 0 
	XORLW       9
	BTFSS       STATUS+0, 2 
	GOTO        L__led7seg_decode_number135
	MOVLW       144
	MOVWF       R1 
	GOTO        L__led7seg_decode_number105
L__led7seg_decode_number135:
;auto_pump.mbas,291 :: 		case else result = Digit_N
	MOVLW       255
	MOVWF       R1 
L__led7seg_decode_number105:
;auto_pump.mbas,293 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_led7seg_decode_number:
	RETURN      0
; end of _led7seg_decode_number

_display_time:

;auto_pump.mbas,315 :: 		dim temp4 as byte
;auto_pump.mbas,317 :: 		temp1 = led7seg_decode_number( num mod 10 ) num  = num / 10
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FARG_display_time_num+0, 0 
	MOVWF       R0 
	MOVF        FARG_display_time_num+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_led7seg_decode_number_num+0 
	CALL        _led7seg_decode_number+0, 0
	MOVF        R0, 0 
	MOVWF       display_time_temp1+0 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FARG_display_time_num+0, 0 
	MOVWF       R0 
	MOVF        FARG_display_time_num+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_display_time_num+0 
	MOVF        R1, 0 
	MOVWF       FARG_display_time_num+1 
;auto_pump.mbas,318 :: 		temp2 = led7seg_decode_number( num mod  6 ) num  = num /  6
	MOVLW       6
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_led7seg_decode_number_num+0 
	CALL        _led7seg_decode_number+0, 0
	MOVF        R0, 0 
	MOVWF       display_time_temp2+0 
	MOVLW       6
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FARG_display_time_num+0, 0 
	MOVWF       R0 
	MOVF        FARG_display_time_num+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_display_time_num+0 
	MOVF        R1, 0 
	MOVWF       FARG_display_time_num+1 
;auto_pump.mbas,319 :: 		temp3 = led7seg_decode_number( num mod 10 ) num  = num / 10
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_led7seg_decode_number_num+0 
	CALL        _led7seg_decode_number+0, 0
	MOVF        R0, 0 
	MOVWF       display_time_temp3+0 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FARG_display_time_num+0, 0 
	MOVWF       R0 
	MOVF        FARG_display_time_num+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_display_time_num+0 
	MOVF        R1, 0 
	MOVWF       FARG_display_time_num+1 
;auto_pump.mbas,320 :: 		temp4 = led7seg_decode_number( num mod 10 ) num  = num / 10
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       FARG_led7seg_decode_number_num+0 
	CALL        _led7seg_decode_number+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__display_time+0 
	MOVF        FLOC__display_time+0, 0 
	MOVWF       display_time_temp4+0 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FARG_display_time_num+0, 0 
	MOVWF       R0 
	MOVF        FARG_display_time_num+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       FARG_display_time_num+0 
	MOVF        R1, 0 
	MOVWF       FARG_display_time_num+1 
;auto_pump.mbas,322 :: 		if (temp4 = Digit_0)                       then temp4 = Digit_N end if
	MOVF        FLOC__display_time+0, 0 
	XORLW       192
	BTFSS       STATUS+0, 2 
	GOTO        L__display_time138
	MOVLW       255
	MOVWF       display_time_temp4+0 
L__display_time138:
;auto_pump.mbas,323 :: 		if (temp3 = Digit_0) and (temp4 = Digit_N) then temp3 = Digit_N end if
	MOVF        display_time_temp3+0, 0 
	XORLW       192
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R1 
	MOVF        display_time_temp4+0, 0 
	XORLW       255
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__display_time141
	MOVLW       255
	MOVWF       display_time_temp3+0 
L__display_time141:
;auto_pump.mbas,324 :: 		if (temp2 = Digit_0) and (temp3 = Digit_N) then temp2 = Digit_N end if
	MOVF        display_time_temp2+0, 0 
	XORLW       192
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R1 
	MOVF        display_time_temp3+0, 0 
	XORLW       255
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        R1, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__display_time144
	MOVLW       255
	MOVWF       display_time_temp2+0 
L__display_time144:
;auto_pump.mbas,326 :: 		led_val1 = temp1
	MOVF        display_time_temp1+0, 0 
	MOVWF       _led_val1+0 
;auto_pump.mbas,327 :: 		led_val2 = temp2
	MOVF        display_time_temp2+0, 0 
	MOVWF       _led_val2+0 
;auto_pump.mbas,328 :: 		led_val3 = temp3
	MOVF        display_time_temp3+0, 0 
	MOVWF       _led_val3+0 
;auto_pump.mbas,329 :: 		led_val4 = temp4
	MOVF        display_time_temp4+0, 0 
	MOVWF       _led_val4+0 
;auto_pump.mbas,330 :: 		end sub
L_end_display_time:
	RETURN      0
; end of _display_time

_display_kinoubango:

;auto_pump.mbas,340 :: 		dim led_val4_temp as byte
;auto_pump.mbas,342 :: 		if display_status <> STATUS_DISPLAY_KINOU then
	MOVF        _display_status+0, 0 
	XORLW       0
	BTFSC       STATUS+0, 2 
	GOTO        L__display_kinoubango148
;auto_pump.mbas,343 :: 		exit
	GOTO        L_end__display_kinoubango
L__display_kinoubango148:
;auto_pump.mbas,345 :: 		WordToStr( kinou_bango, led_txt )
	MOVF        _kinou_bango+0, 0 
	MOVWF       FARG_WordToStr_input+0 
	MOVLW       0
	MOVWF       FARG_WordToStr_input+1 
	MOVLW       display_kinoubango_led_txt+0
	MOVWF       FARG_WordToStr_output+0 
	MOVLW       hi_addr(display_kinoubango_led_txt+0)
	MOVWF       FARG_WordToStr_output+1 
	CALL        _WordToStr+0, 0
;auto_pump.mbas,346 :: 		led_val1_temp = led7seg_decode_char( led_txt[4] )
	MOVF        display_kinoubango_led_txt+4, 0 
	MOVWF       FARG_led7seg_decode_char_ascii_char+0 
	CALL        _led7seg_decode_char+0, 0
	MOVF        R0, 0 
	MOVWF       display_kinoubango_led_val1_temp+0 
;auto_pump.mbas,347 :: 		led_val2_temp = led7seg_decode_char( led_txt[3] )
	MOVF        display_kinoubango_led_txt+3, 0 
	MOVWF       FARG_led7seg_decode_char_ascii_char+0 
	CALL        _led7seg_decode_char+0, 0
	MOVF        R0, 0 
	MOVWF       display_kinoubango_led_val2_temp+0 
;auto_pump.mbas,348 :: 		led_val3_temp = led7seg_decode_char( led_txt[2] )
	MOVF        display_kinoubango_led_txt+2, 0 
	MOVWF       FARG_led7seg_decode_char_ascii_char+0 
	CALL        _led7seg_decode_char+0, 0
	MOVF        R0, 0 
	MOVWF       display_kinoubango_led_val3_temp+0 
;auto_pump.mbas,349 :: 		led_val4_temp = led7seg_decode_char( led_txt[1] )
	MOVF        display_kinoubango_led_txt+1, 0 
	MOVWF       FARG_led7seg_decode_char_ascii_char+0 
	CALL        _led7seg_decode_char+0, 0
	MOVF        R0, 0 
	MOVWF       display_kinoubango_led_val4_temp+0 
;auto_pump.mbas,350 :: 		if led_val1_temp = Digit_N then led_val1_temp = Digit_MINUS end if
	MOVF        display_kinoubango_led_val1_temp+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__display_kinoubango151
	MOVLW       191
	MOVWF       display_kinoubango_led_val1_temp+0 
L__display_kinoubango151:
;auto_pump.mbas,351 :: 		if led_val2_temp = Digit_N then led_val2_temp = Digit_MINUS end if
	MOVF        display_kinoubango_led_val2_temp+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__display_kinoubango154
	MOVLW       191
	MOVWF       display_kinoubango_led_val2_temp+0 
L__display_kinoubango154:
;auto_pump.mbas,352 :: 		if led_val3_temp = Digit_N then led_val3_temp = Digit_MINUS end if
	MOVF        display_kinoubango_led_val3_temp+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__display_kinoubango157
	MOVLW       191
	MOVWF       display_kinoubango_led_val3_temp+0 
L__display_kinoubango157:
;auto_pump.mbas,353 :: 		if led_val4_temp = Digit_N then led_val4_temp = Digit_MINUS end if
	MOVF        display_kinoubango_led_val4_temp+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__display_kinoubango160
	MOVLW       191
	MOVWF       display_kinoubango_led_val4_temp+0 
L__display_kinoubango160:
;auto_pump.mbas,354 :: 		led_val1 = led_val1_temp
	MOVF        display_kinoubango_led_val1_temp+0, 0 
	MOVWF       _led_val1+0 
;auto_pump.mbas,355 :: 		led_val2 = led_val2_temp
	MOVF        display_kinoubango_led_val2_temp+0, 0 
	MOVWF       _led_val2+0 
;auto_pump.mbas,356 :: 		led_val3 = led_val3_temp
	MOVF        display_kinoubango_led_val3_temp+0, 0 
	MOVWF       _led_val3+0 
;auto_pump.mbas,357 :: 		led_val4 = led_val4_temp
	MOVF        display_kinoubango_led_val4_temp+0, 0 
	MOVWF       _led_val4+0 
;auto_pump.mbas,358 :: 		end sub
L_end__display_kinoubango:
L_end_display_kinoubango:
	RETURN      0
; end of _display_kinoubango

_display_down_timer:

;auto_pump.mbas,364 :: 		dim num as word
;auto_pump.mbas,366 :: 		if display_status <> STATUS_DISPLAY_TIMER then
	MOVF        _display_status+0, 0 
	XORLW       1
	BTFSC       STATUS+0, 2 
	GOTO        L__display_down_timer164
;auto_pump.mbas,367 :: 		exit
	GOTO        L_end__display_down_timer
L__display_down_timer164:
;auto_pump.mbas,369 :: 		num = down_timer_4msec / 250 + 1
	MOVLW       250
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	MOVF        _down_timer_4msec+0, 0 
	MOVWF       R0 
	MOVF        _down_timer_4msec+1, 0 
	MOVWF       R1 
	MOVF        _down_timer_4msec+2, 0 
	MOVWF       R2 
	MOVF        _down_timer_4msec+3, 0 
	MOVWF       R3 
	CALL        _Div_32x32_U+0, 0
	MOVLW       1
	ADDWF       R0, 0 
	MOVWF       FARG_display_time_num+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FARG_display_time_num+1 
;auto_pump.mbas,370 :: 		display_time( num )
	CALL        _display_time+0, 0
;auto_pump.mbas,371 :: 		end sub
L_end__display_down_timer:
L_end_display_down_timer:
	RETURN      0
; end of _display_down_timer

_display_dot:

;auto_pump.mbas,376 :: 		sub procedure display_dot( dim position as byte )
;auto_pump.mbas,377 :: 		led_val1 = led_val1 or (not Digit_DP)
	BSF         _led_val1+0, 7 
;auto_pump.mbas,378 :: 		led_val2 = led_val2 or (not Digit_DP)
	BSF         _led_val2+0, 7 
;auto_pump.mbas,379 :: 		led_val3 = led_val3 or (not Digit_DP)
	BSF         _led_val3+0, 7 
;auto_pump.mbas,380 :: 		led_val4 = led_val4 or (not Digit_DP)
	BSF         _led_val4+0, 7 
;auto_pump.mbas,382 :: 		case 0  led_val1 = led_val1 and Digit_DP
	MOVF        FARG_display_dot_position+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__display_dot170
	MOVLW       127
	ANDWF       _led_val1+0, 1 
	GOTO        L__display_dot167
L__display_dot170:
;auto_pump.mbas,383 :: 		case 1  led_val2 = led_val2 and Digit_DP
	MOVF        FARG_display_dot_position+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__display_dot173
	MOVLW       127
	ANDWF       _led_val2+0, 1 
	GOTO        L__display_dot167
L__display_dot173:
;auto_pump.mbas,384 :: 		case 2  led_val3 = led_val3 and Digit_DP
	MOVF        FARG_display_dot_position+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__display_dot176
	MOVLW       127
	ANDWF       _led_val3+0, 1 
	GOTO        L__display_dot167
L__display_dot176:
;auto_pump.mbas,385 :: 		case 3  led_val4 = led_val4 and Digit_DP
	MOVF        FARG_display_dot_position+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__display_dot179
	MOVLW       127
	ANDWF       _led_val4+0, 1 
	GOTO        L__display_dot167
L__display_dot179:
L__display_dot167:
;auto_pump.mbas,387 :: 		end sub
L_end_display_dot:
	RETURN      0
; end of _display_dot

_sw_on_msec:

;auto_pump.mbas,392 :: 		sub function sw_on_msec( dim sw_no as byte, dim msec as longword  ) as boolean
;auto_pump.mbas,393 :: 		result = 0
	CLRF        R3 
;auto_pump.mbas,395 :: 		case 1
	MOVF        FARG_sw_on_msec_sw_no+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec184
;auto_pump.mbas,396 :: 		if use_sw1 = TRUE then
	MOVF        _use_sw1+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec186
;auto_pump.mbas,397 :: 		result = FALSE
	CLRF        R3 
;auto_pump.mbas,398 :: 		exit
	GOTO        L_end__sw_on_msec
L__sw_on_msec186:
;auto_pump.mbas,400 :: 		if (press_counter_sw1 << 2) >= msec then
	MOVF        _press_counter_sw1+0, 0 
	MOVWF       R1 
	MOVF        _press_counter_sw1+1, 0 
	MOVWF       R2 
	RLCF        R1, 1 
	BCF         R1, 0 
	RLCF        R2, 1 
	RLCF        R1, 1 
	BCF         R1, 0 
	RLCF        R2, 1 
	MOVF        FARG_sw_on_msec_msec+3, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec479
	MOVF        FARG_sw_on_msec_msec+2, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec479
	MOVF        FARG_sw_on_msec_msec+1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec479
	MOVF        FARG_sw_on_msec_msec+0, 0 
	SUBWF       R1, 0 
L__sw_on_msec479:
	BTFSS       STATUS+0, 0 
	GOTO        L__sw_on_msec189
;auto_pump.mbas,401 :: 		use_sw1 = TRUE
	MOVLW       255
	MOVWF       _use_sw1+0 
;auto_pump.mbas,402 :: 		result = TRUE
	MOVLW       255
	MOVWF       R3 
	GOTO        L__sw_on_msec190
;auto_pump.mbas,403 :: 		else
L__sw_on_msec189:
;auto_pump.mbas,404 :: 		result = FALSE
	CLRF        R3 
;auto_pump.mbas,405 :: 		end if
L__sw_on_msec190:
	GOTO        L__sw_on_msec181
L__sw_on_msec184:
;auto_pump.mbas,406 :: 		case 2
	MOVF        FARG_sw_on_msec_sw_no+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec193
;auto_pump.mbas,407 :: 		if use_sw2 = TRUE then
	MOVF        _use_sw2+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec195
;auto_pump.mbas,408 :: 		result = FALSE
	CLRF        R3 
;auto_pump.mbas,409 :: 		exit
	GOTO        L_end__sw_on_msec
L__sw_on_msec195:
;auto_pump.mbas,411 :: 		if (press_counter_sw2 << 2) >= msec then
	MOVF        _press_counter_sw2+0, 0 
	MOVWF       R1 
	MOVF        _press_counter_sw2+1, 0 
	MOVWF       R2 
	RLCF        R1, 1 
	BCF         R1, 0 
	RLCF        R2, 1 
	RLCF        R1, 1 
	BCF         R1, 0 
	RLCF        R2, 1 
	MOVF        FARG_sw_on_msec_msec+3, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec480
	MOVF        FARG_sw_on_msec_msec+2, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec480
	MOVF        FARG_sw_on_msec_msec+1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec480
	MOVF        FARG_sw_on_msec_msec+0, 0 
	SUBWF       R1, 0 
L__sw_on_msec480:
	BTFSS       STATUS+0, 0 
	GOTO        L__sw_on_msec198
;auto_pump.mbas,412 :: 		use_sw2 = TRUE
	MOVLW       255
	MOVWF       _use_sw2+0 
;auto_pump.mbas,413 :: 		result = TRUE
	MOVLW       255
	MOVWF       R3 
	GOTO        L__sw_on_msec199
;auto_pump.mbas,414 :: 		else
L__sw_on_msec198:
;auto_pump.mbas,415 :: 		result = FALSE
	CLRF        R3 
;auto_pump.mbas,416 :: 		end if
L__sw_on_msec199:
	GOTO        L__sw_on_msec181
L__sw_on_msec193:
;auto_pump.mbas,417 :: 		case 3
	MOVF        FARG_sw_on_msec_sw_no+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec202
;auto_pump.mbas,418 :: 		if use_sw3 = TRUE then
	MOVF        _use_sw3+0, 0 
	XORLW       255
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec204
;auto_pump.mbas,419 :: 		result = FALSE
	CLRF        R3 
;auto_pump.mbas,420 :: 		exit
	GOTO        L_end__sw_on_msec
L__sw_on_msec204:
;auto_pump.mbas,422 :: 		if (press_counter_sw3 << 2) >= msec then
	MOVF        _press_counter_sw3+0, 0 
	MOVWF       R1 
	MOVF        _press_counter_sw3+1, 0 
	MOVWF       R2 
	RLCF        R1, 1 
	BCF         R1, 0 
	RLCF        R2, 1 
	RLCF        R1, 1 
	BCF         R1, 0 
	RLCF        R2, 1 
	MOVF        FARG_sw_on_msec_msec+3, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec481
	MOVF        FARG_sw_on_msec_msec+2, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec481
	MOVF        FARG_sw_on_msec_msec+1, 0 
	SUBWF       R2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__sw_on_msec481
	MOVF        FARG_sw_on_msec_msec+0, 0 
	SUBWF       R1, 0 
L__sw_on_msec481:
	BTFSS       STATUS+0, 0 
	GOTO        L__sw_on_msec207
;auto_pump.mbas,423 :: 		use_sw3 = TRUE
	MOVLW       255
	MOVWF       _use_sw3+0 
;auto_pump.mbas,424 :: 		result = TRUE
	MOVLW       255
	MOVWF       R3 
	GOTO        L__sw_on_msec208
;auto_pump.mbas,425 :: 		else
L__sw_on_msec207:
;auto_pump.mbas,426 :: 		result = FALSE
	CLRF        R3 
;auto_pump.mbas,427 :: 		end if
L__sw_on_msec208:
	GOTO        L__sw_on_msec181
L__sw_on_msec202:
L__sw_on_msec181:
;auto_pump.mbas,429 :: 		end sub
L_end__sw_on_msec:
	MOVF        R3, 0 
	MOVWF       R0 
L_end_sw_on_msec:
	RETURN      0
; end of _sw_on_msec

_float_sw_on:

;auto_pump.mbas,441 :: 		sub function float_sw_on( dim float_sw_no as byte ) as boolean
;auto_pump.mbas,443 :: 		case 1 if FLOAT_SW1_PORT.FLOAT_SW1_BIT = 0 then result = TRUE else result = FALSE end if
	MOVF        FARG_float_sw_on_float_sw_no+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_on213
	BTFSC       PORTB+0, 0 
	GOTO        L__float_sw_on215
	MOVLW       255
	MOVWF       R1 
	GOTO        L__float_sw_on216
L__float_sw_on215:
	CLRF        R1 
L__float_sw_on216:
	GOTO        L__float_sw_on210
L__float_sw_on213:
;auto_pump.mbas,444 :: 		case 2 if FLOAT_SW2_PORT.FLOAT_SW2_BIT = 0 then result = TRUE else result = FALSE end if
	MOVF        FARG_float_sw_on_float_sw_no+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_on219
	BTFSC       PORTA+0, 3 
	GOTO        L__float_sw_on221
	MOVLW       255
	MOVWF       R1 
	GOTO        L__float_sw_on222
L__float_sw_on221:
	CLRF        R1 
L__float_sw_on222:
	GOTO        L__float_sw_on210
L__float_sw_on219:
;auto_pump.mbas,445 :: 		case 3 if FLOAT_SW3_PORT.FLOAT_SW3_BIT = 0 then result = TRUE else result = FALSE end if
	MOVF        FARG_float_sw_on_float_sw_no+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_on225
	BTFSC       PORTA+0, 2 
	GOTO        L__float_sw_on227
	MOVLW       255
	MOVWF       R1 
	GOTO        L__float_sw_on228
L__float_sw_on227:
	CLRF        R1 
L__float_sw_on228:
	GOTO        L__float_sw_on210
L__float_sw_on225:
L__float_sw_on210:
;auto_pump.mbas,448 :: 		case 1 if float_sw1_enable = FALSE then result = FALSE end if
	MOVF        FARG_float_sw_on_float_sw_no+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_on232
	MOVF        _float_sw1_enable+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_on234
	CLRF        R1 
L__float_sw_on234:
	GOTO        L__float_sw_on229
L__float_sw_on232:
;auto_pump.mbas,449 :: 		case 2 if float_sw2_enable = FALSE then result = FALSE end if
	MOVF        FARG_float_sw_on_float_sw_no+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_on238
	MOVF        _float_sw2_enable+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_on240
	CLRF        R1 
L__float_sw_on240:
	GOTO        L__float_sw_on229
L__float_sw_on238:
;auto_pump.mbas,450 :: 		case 3 if float_sw3_enable = FALSE then result = FALSE end if
	MOVF        FARG_float_sw_on_float_sw_no+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_on244
	MOVF        _float_sw3_enable+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_on246
	CLRF        R1 
L__float_sw_on246:
	GOTO        L__float_sw_on229
L__float_sw_on244:
L__float_sw_on229:
;auto_pump.mbas,452 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_float_sw_on:
	RETURN      0
; end of _float_sw_on

_float_sw_off:

;auto_pump.mbas,454 :: 		sub function float_sw_off( dim float_sw_no as byte ) as boolean
;auto_pump.mbas,456 :: 		case 1 if FLOAT_SW1_PORT.FLOAT_SW1_BIT = 1 then result = TRUE else result = FALSE end if
	MOVF        FARG_float_sw_off_float_sw_no+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_off252
	BTFSS       PORTB+0, 0 
	GOTO        L__float_sw_off254
	MOVLW       255
	MOVWF       R1 
	GOTO        L__float_sw_off255
L__float_sw_off254:
	CLRF        R1 
L__float_sw_off255:
	GOTO        L__float_sw_off249
L__float_sw_off252:
;auto_pump.mbas,457 :: 		case 2 if FLOAT_SW2_PORT.FLOAT_SW2_BIT = 1 then result = TRUE else result = FALSE end if
	MOVF        FARG_float_sw_off_float_sw_no+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_off258
	BTFSS       PORTA+0, 3 
	GOTO        L__float_sw_off260
	MOVLW       255
	MOVWF       R1 
	GOTO        L__float_sw_off261
L__float_sw_off260:
	CLRF        R1 
L__float_sw_off261:
	GOTO        L__float_sw_off249
L__float_sw_off258:
;auto_pump.mbas,458 :: 		case 3 if FLOAT_SW3_PORT.FLOAT_SW3_BIT = 1 then result = TRUE else result = FALSE end if
	MOVF        FARG_float_sw_off_float_sw_no+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_off264
	BTFSS       PORTA+0, 2 
	GOTO        L__float_sw_off266
	MOVLW       255
	MOVWF       R1 
	GOTO        L__float_sw_off267
L__float_sw_off266:
	CLRF        R1 
L__float_sw_off267:
	GOTO        L__float_sw_off249
L__float_sw_off264:
L__float_sw_off249:
;auto_pump.mbas,461 :: 		case 1 if float_sw1_enable = FALSE then result = FALSE end if
	MOVF        FARG_float_sw_off_float_sw_no+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_off271
	MOVF        _float_sw1_enable+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_off273
	CLRF        R1 
L__float_sw_off273:
	GOTO        L__float_sw_off268
L__float_sw_off271:
;auto_pump.mbas,462 :: 		case 2 if float_sw2_enable = FALSE then result = FALSE end if
	MOVF        FARG_float_sw_off_float_sw_no+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_off277
	MOVF        _float_sw2_enable+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_off279
	CLRF        R1 
L__float_sw_off279:
	GOTO        L__float_sw_off268
L__float_sw_off277:
;auto_pump.mbas,463 :: 		case 3 if float_sw3_enable = FALSE then result = FALSE end if
	MOVF        FARG_float_sw_off_float_sw_no+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_off283
	MOVF        _float_sw3_enable+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__float_sw_off285
	CLRF        R1 
L__float_sw_off285:
	GOTO        L__float_sw_off268
L__float_sw_off283:
L__float_sw_off268:
;auto_pump.mbas,465 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_float_sw_off:
	RETURN      0
; end of _float_sw_off

_timer_zero_test:

;auto_pump.mbas,470 :: 		sub function timer_zero_test() as boolean
;auto_pump.mbas,471 :: 		if (down_timer_4msec = 0) and timer_enable then
	MOVLW       0
	MOVWF       R0 
	XORWF       _down_timer_4msec+3, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__timer_zero_test485
	MOVF        R0, 0 
	XORWF       _down_timer_4msec+2, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__timer_zero_test485
	MOVF        R0, 0 
	XORWF       _down_timer_4msec+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__timer_zero_test485
	MOVF        _down_timer_4msec+0, 0 
	XORLW       0
L__timer_zero_test485:
	MOVLW       255
	BTFSS       STATUS+0, 2 
	MOVLW       0
	MOVWF       R0 
	MOVF        _timer_enable+0, 0 
	ANDWF       R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__timer_zero_test289
;auto_pump.mbas,472 :: 		timer_enable = FALSE
	CLRF        _timer_enable+0 
;auto_pump.mbas,473 :: 		result = TRUE
	MOVLW       255
	MOVWF       R1 
	GOTO        L__timer_zero_test290
;auto_pump.mbas,474 :: 		else
L__timer_zero_test289:
;auto_pump.mbas,475 :: 		result = FALSE
	CLRF        R1 
;auto_pump.mbas,476 :: 		end if
L__timer_zero_test290:
;auto_pump.mbas,477 :: 		end sub
	MOVF        R1, 0 
	MOVWF       R0 
L_end_timer_zero_test:
	RETURN      0
; end of _timer_zero_test

_relay_on:

;auto_pump.mbas,482 :: 		sub procedure relay_on()
;auto_pump.mbas,483 :: 		RELAY_PORT.RELAY_BIT = 0
	BCF         PORTB+0, 1 
;auto_pump.mbas,484 :: 		end sub
L_end_relay_on:
	RETURN      0
; end of _relay_on

_relay_off:

;auto_pump.mbas,486 :: 		sub procedure relay_off()
;auto_pump.mbas,487 :: 		RELAY_PORT.RELAY_BIT = 1
	BSF         PORTB+0, 1 
;auto_pump.mbas,488 :: 		end sub
L_end_relay_off:
	RETURN      0
; end of _relay_off

_kinou_bango_read:

;auto_pump.mbas,493 :: 		sub function kinou_bango_read() as byte
;auto_pump.mbas,494 :: 		result = EEPROM_Read(EEPROM_KINOU_BANBO_ADDRESS)
	CLRF        FARG_EEPROM_Read_address+0 
	CLRF        FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       kinou_bango_read_local_result+0 
;auto_pump.mbas,495 :: 		end sub
	MOVF        kinou_bango_read_local_result+0, 0 
	MOVWF       R0 
L_end_kinou_bango_read:
	RETURN      0
; end of _kinou_bango_read

_kinou_bango_write:

;auto_pump.mbas,497 :: 		sub procedure kinou_bango_write(dim kinou_bango as byte )
;auto_pump.mbas,498 :: 		EEPROM_Write(EEPROM_KINOU_BANBO_ADDRESS,kinou_bango)
	CLRF        FARG_EEPROM_Write_address+0 
	MOVF        FARG_kinou_bango_write_kinou_bango+0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;auto_pump.mbas,499 :: 		delay_ms(20)
	MOVLW       130
	MOVWF       R12, 0
	MOVLW       221
	MOVWF       R13, 0
L__kinou_bango_write295:
	DECFSZ      R13, 1, 1
	BRA         L__kinou_bango_write295
	DECFSZ      R12, 1, 1
	BRA         L__kinou_bango_write295
	NOP
	NOP
;auto_pump.mbas,500 :: 		end sub
L_end_kinou_bango_write:
	RETURN      0
; end of _kinou_bango_write

_kinou_kirikae:

;auto_pump.mbas,505 :: 		sub procedure kinou_kirikae()
;auto_pump.mbas,506 :: 		led_on(5)
	MOVLW       5
	MOVWF       FARG_led_on_led_no+0 
	CALL        _led_on+0, 0
;auto_pump.mbas,507 :: 		while( true )
L__kinou_kirikae298:
;auto_pump.mbas,508 :: 		if sw_on_msec( 2, 50 ) then
	MOVLW       2
	MOVWF       FARG_sw_on_msec_sw_no+0 
	MOVLW       50
	MOVWF       FARG_sw_on_msec_msec+0 
	MOVLW       0
	MOVWF       FARG_sw_on_msec_msec+1 
	MOVWF       FARG_sw_on_msec_msec+2 
	MOVWF       FARG_sw_on_msec_msec+3 
	CALL        _sw_on_msec+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__kinou_kirikae303
;auto_pump.mbas,509 :: 		if  kinou_bango < MAX_KINOU_NO then
	MOVLW       8
	SUBWF       _kinou_bango+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L__kinou_kirikae306
;auto_pump.mbas,510 :: 		kinou_bango = kinou_bango + 1
	INCF        _kinou_bango+0, 1 
;auto_pump.mbas,511 :: 		display_kinoubango()
	CALL        _display_kinoubango+0, 0
L__kinou_kirikae306:
;auto_pump.mbas,512 :: 		end if
L__kinou_kirikae303:
;auto_pump.mbas,514 :: 		if sw_on_msec( 3, 50 ) then
	MOVLW       3
	MOVWF       FARG_sw_on_msec_sw_no+0 
	MOVLW       50
	MOVWF       FARG_sw_on_msec_msec+0 
	MOVLW       0
	MOVWF       FARG_sw_on_msec_msec+1 
	MOVWF       FARG_sw_on_msec_msec+2 
	MOVWF       FARG_sw_on_msec_msec+3 
	CALL        _sw_on_msec+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__kinou_kirikae309
;auto_pump.mbas,515 :: 		if  kinou_bango > 1 then
	MOVF        _kinou_bango+0, 0 
	SUBLW       1
	BTFSC       STATUS+0, 0 
	GOTO        L__kinou_kirikae312
;auto_pump.mbas,516 :: 		kinou_bango = kinou_bango - 1
	DECF        _kinou_bango+0, 1 
;auto_pump.mbas,517 :: 		display_kinoubango()
	CALL        _display_kinoubango+0, 0
L__kinou_kirikae312:
;auto_pump.mbas,518 :: 		end if
L__kinou_kirikae309:
;auto_pump.mbas,520 :: 		if sw_on_msec( 1, 50 ) then
	MOVLW       1
	MOVWF       FARG_sw_on_msec_sw_no+0 
	MOVLW       50
	MOVWF       FARG_sw_on_msec_msec+0 
	MOVLW       0
	MOVWF       FARG_sw_on_msec_msec+1 
	MOVWF       FARG_sw_on_msec_msec+2 
	MOVWF       FARG_sw_on_msec_msec+3 
	CALL        _sw_on_msec+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__kinou_kirikae315
;auto_pump.mbas,521 :: 		kinou_bango_write(kinou_bango)
	MOVF        _kinou_bango+0, 0 
	MOVWF       FARG_kinou_bango_write_kinou_bango+0 
	CALL        _kinou_bango_write+0, 0
;auto_pump.mbas,522 :: 		led_off(5)
	MOVLW       5
	MOVWF       FARG_LED_OFF_led_no+0 
	CALL        _LED_OFF+0, 0
;auto_pump.mbas,523 :: 		exit
	GOTO        L_end__kinou_kirikae
L__kinou_kirikae315:
;auto_pump.mbas,525 :: 		wend
	GOTO        L__kinou_kirikae298
;auto_pump.mbas,526 :: 		end sub
L_end__kinou_kirikae:
L_end_kinou_kirikae:
	RETURN      0
; end of _kinou_kirikae

_eeprom_word_read:

;auto_pump.mbas,531 :: 		sub function eeprom_word_read( dim address as word ) as word
;auto_pump.mbas,532 :: 		result = (eeprom_read( address + 1 ) << 8) + eeprom_read( address )
	MOVLW       1
	ADDWF       FARG_eeprom_word_read_address+0, 0 
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	ADDWFC      FARG_eeprom_word_read_address+1, 0 
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__eeprom_word_read+1 
	CLRF        FLOC__eeprom_word_read+0 
	MOVF        FARG_eeprom_word_read_address+0, 0 
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVF        FARG_eeprom_word_read_address+1, 0 
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	ADDWF       FLOC__eeprom_word_read+0, 0 
	MOVWF       eeprom_word_read_local_result+0 
	MOVLW       0
	ADDWFC      FLOC__eeprom_word_read+1, 0 
	MOVWF       eeprom_word_read_local_result+1 
;auto_pump.mbas,533 :: 		end sub
	MOVF        eeprom_word_read_local_result+0, 0 
	MOVWF       R0 
	MOVF        eeprom_word_read_local_result+1, 0 
	MOVWF       R1 
L_end_eeprom_word_read:
	RETURN      0
; end of _eeprom_word_read

_eeprom_word_write:

;auto_pump.mbas,539 :: 		dim temp as byte
;auto_pump.mbas,542 :: 		eeprom_write( address, temp )
	MOVF        FARG_eeprom_word_write_address+0, 0 
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        FARG_eeprom_word_write_dataval+0, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;auto_pump.mbas,544 :: 		eeprom_write( address + 1, temp )
	MOVF        FARG_eeprom_word_write_address+0, 0 
	ADDLW       1
	MOVWF       FARG_EEPROM_Write_address+0 
	CLRF        FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;auto_pump.mbas,545 :: 		end sub
L_end_eeprom_word_write:
	RETURN      0
; end of _eeprom_word_write

_input_timer:

;auto_pump.mbas,555 :: 		const max_value as byte[4] = (9,5,9,9)
;auto_pump.mbas,557 :: 		digit_pos = 0
	CLRF        input_timer_digit_pos+0 
;auto_pump.mbas,558 :: 		temp = eeprom_word_read( EEPROM_TIMER_ADDRESS )
	MOVLW       1
	MOVWF       FARG_eeprom_word_read_address+0 
	MOVLW       0
	MOVWF       FARG_eeprom_word_read_address+1 
	CALL        _eeprom_word_read+0, 0
	MOVF        R0, 0 
	MOVWF       input_timer_temp+0 
	MOVF        R1, 0 
	MOVWF       input_timer_temp+1 
;auto_pump.mbas,559 :: 		display_time( temp )
	MOVF        R0, 0 
	MOVWF       FARG_display_time_num+0 
	MOVF        R1, 0 
	MOVWF       FARG_display_time_num+1 
	CALL        _display_time+0, 0
;auto_pump.mbas,560 :: 		display_dot( digit_pos )
	MOVF        input_timer_digit_pos+0, 0 
	MOVWF       FARG_display_dot_position+0 
	CALL        _display_dot+0, 0
;auto_pump.mbas,561 :: 		digit_val[0] = temp mod 10  temp = temp / 10
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        input_timer_temp+0, 0 
	MOVWF       R0 
	MOVF        input_timer_temp+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       input_timer_digit_val+0 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        input_timer_temp+0, 0 
	MOVWF       R0 
	MOVF        input_timer_temp+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__input_timer+0 
	MOVF        R1, 0 
	MOVWF       FLOC__input_timer+1 
	MOVF        FLOC__input_timer+0, 0 
	MOVWF       input_timer_temp+0 
	MOVF        FLOC__input_timer+1, 0 
	MOVWF       input_timer_temp+1 
;auto_pump.mbas,562 :: 		digit_val[1] = temp mod  6  temp = temp /  6
	MOVLW       6
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FLOC__input_timer+0, 0 
	MOVWF       R0 
	MOVF        FLOC__input_timer+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       input_timer_digit_val+1 
	MOVLW       6
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FLOC__input_timer+0, 0 
	MOVWF       R0 
	MOVF        FLOC__input_timer+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__input_timer+0 
	MOVF        R1, 0 
	MOVWF       FLOC__input_timer+1 
	MOVF        FLOC__input_timer+0, 0 
	MOVWF       input_timer_temp+0 
	MOVF        FLOC__input_timer+1, 0 
	MOVWF       input_timer_temp+1 
;auto_pump.mbas,563 :: 		digit_val[2] = temp mod 10  temp = temp / 10
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FLOC__input_timer+0, 0 
	MOVWF       R0 
	MOVF        FLOC__input_timer+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       input_timer_digit_val+2 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FLOC__input_timer+0, 0 
	MOVWF       R0 
	MOVF        FLOC__input_timer+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       FLOC__input_timer+0 
	MOVF        R1, 0 
	MOVWF       FLOC__input_timer+1 
	MOVF        FLOC__input_timer+0, 0 
	MOVWF       input_timer_temp+0 
	MOVF        FLOC__input_timer+1, 0 
	MOVWF       input_timer_temp+1 
;auto_pump.mbas,564 :: 		digit_val[3] = temp mod 10  temp = temp / 10
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FLOC__input_timer+0, 0 
	MOVWF       R0 
	MOVF        FLOC__input_timer+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R8, 0 
	MOVWF       R0 
	MOVF        R9, 0 
	MOVWF       R1 
	MOVF        R0, 0 
	MOVWF       input_timer_digit_val+3 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVF        FLOC__input_timer+0, 0 
	MOVWF       R0 
	MOVF        FLOC__input_timer+1, 0 
	MOVWF       R1 
	CALL        _Div_16x16_U+0, 0
	MOVF        R0, 0 
	MOVWF       input_timer_temp+0 
	MOVF        R1, 0 
	MOVWF       input_timer_temp+1 
;auto_pump.mbas,566 :: 		led_on(5)
	MOVLW       5
	MOVWF       FARG_led_on_led_no+0 
	CALL        _led_on+0, 0
;auto_pump.mbas,567 :: 		while TRUE
L__input_timer321:
;auto_pump.mbas,568 :: 		if sw_on_msec( 2, 50 ) then
	MOVLW       2
	MOVWF       FARG_sw_on_msec_sw_no+0 
	MOVLW       50
	MOVWF       FARG_sw_on_msec_msec+0 
	MOVLW       0
	MOVWF       FARG_sw_on_msec_msec+1 
	MOVWF       FARG_sw_on_msec_msec+2 
	MOVWF       FARG_sw_on_msec_msec+3 
	CALL        _sw_on_msec+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__input_timer326
;auto_pump.mbas,569 :: 		if digit_pos = 3 then
	MOVF        input_timer_digit_pos+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__input_timer329
;auto_pump.mbas,570 :: 		digit_pos = 0
	CLRF        input_timer_digit_pos+0 
	GOTO        L__input_timer330
;auto_pump.mbas,571 :: 		else
L__input_timer329:
;auto_pump.mbas,572 :: 		digit_pos = digit_pos + 1
	INCF        input_timer_digit_pos+0, 1 
;auto_pump.mbas,573 :: 		end if
L__input_timer330:
;auto_pump.mbas,574 :: 		display_dot( digit_pos )
	MOVF        input_timer_digit_pos+0, 0 
	MOVWF       FARG_display_dot_position+0 
	CALL        _display_dot+0, 0
L__input_timer326:
;auto_pump.mbas,577 :: 		if sw_on_msec( 3, 50 ) then
	MOVLW       3
	MOVWF       FARG_sw_on_msec_sw_no+0 
	MOVLW       50
	MOVWF       FARG_sw_on_msec_msec+0 
	MOVLW       0
	MOVWF       FARG_sw_on_msec_msec+1 
	MOVWF       FARG_sw_on_msec_msec+2 
	MOVWF       FARG_sw_on_msec_msec+3 
	CALL        _sw_on_msec+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__input_timer332
;auto_pump.mbas,578 :: 		if digit_val[digit_pos] = max_value[digit_pos] then
	MOVLW       input_timer_digit_val+0
	MOVWF       R0 
	MOVLW       hi_addr(input_timer_digit_val+0)
	MOVWF       R1 
	MOVF        input_timer_digit_pos+0, 0 
	ADDWF       R0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       R3 
	MOVLW       input_timer_max_value+0
	ADDWF       input_timer_digit_pos+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(input_timer_max_value+0)
	MOVWF       TBLPTRH 
	MOVLW       0
	ADDWFC      TBLPTRH, 1 
	MOVLW       higher_addr(input_timer_max_value+0)
	MOVWF       TBLPTRU 
	MOVLW       0
	ADDWFC      TBLPTRU, 1 
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVFF       R2, FSR0
	MOVFF       R3, FSR0H
	MOVF        POSTINC0+0, 0 
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__input_timer335
;auto_pump.mbas,579 :: 		digit_val[digit_pos] = 0
	MOVLW       input_timer_digit_val+0
	MOVWF       R0 
	MOVLW       hi_addr(input_timer_digit_val+0)
	MOVWF       R1 
	MOVF        input_timer_digit_pos+0, 0 
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
	GOTO        L__input_timer336
;auto_pump.mbas,580 :: 		else
L__input_timer335:
;auto_pump.mbas,581 :: 		digit_val[digit_pos] = digit_val[digit_pos] + 1
	MOVLW       input_timer_digit_val+0
	MOVWF       R0 
	MOVLW       hi_addr(input_timer_digit_val+0)
	MOVWF       R1 
	MOVF        input_timer_digit_pos+0, 0 
	ADDWF       R0, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       R3 
	MOVFF       R2, FSR0
	MOVFF       R3, FSR0H
	MOVF        POSTINC0+0, 0 
	ADDLW       1
	MOVWF       R0 
	MOVFF       R2, FSR1
	MOVFF       R3, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;auto_pump.mbas,582 :: 		end if
L__input_timer336:
;auto_pump.mbas,583 :: 		temp = digit_val[0] + digit_val[1] * 10 + digit_val[2] * 60 + digit_val[3] * 600
	MOVF        input_timer_digit_val+1, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       10
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        input_timer_digit_val+0, 0 
	ADDWF       R0, 0 
	MOVWF       FLOC__input_timer+0 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       FLOC__input_timer+1 
	MOVF        input_timer_digit_val+2, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       60
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        R0, 0 
	ADDWF       FLOC__input_timer+0, 1 
	MOVF        R1, 0 
	ADDWFC      FLOC__input_timer+1, 1 
	MOVF        input_timer_digit_val+3, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVLW       88
	MOVWF       R4 
	MOVLW       2
	MOVWF       R5 
	CALL        _Mul_16x16_U+0, 0
	MOVF        FLOC__input_timer+0, 0 
	ADDWF       R0, 1 
	MOVF        FLOC__input_timer+1, 0 
	ADDWFC      R1, 1 
	MOVF        R0, 0 
	MOVWF       input_timer_temp+0 
	MOVF        R1, 0 
	MOVWF       input_timer_temp+1 
;auto_pump.mbas,584 :: 		display_time( temp )
	MOVF        R0, 0 
	MOVWF       FARG_display_time_num+0 
	MOVF        R1, 0 
	MOVWF       FARG_display_time_num+1 
	CALL        _display_time+0, 0
;auto_pump.mbas,585 :: 		display_dot( digit_pos )
	MOVF        input_timer_digit_pos+0, 0 
	MOVWF       FARG_display_dot_position+0 
	CALL        _display_dot+0, 0
L__input_timer332:
;auto_pump.mbas,588 :: 		if sw_on_msec( 1, 50 ) then
	MOVLW       1
	MOVWF       FARG_sw_on_msec_sw_no+0 
	MOVLW       50
	MOVWF       FARG_sw_on_msec_msec+0 
	MOVLW       0
	MOVWF       FARG_sw_on_msec_msec+1 
	MOVWF       FARG_sw_on_msec_msec+2 
	MOVWF       FARG_sw_on_msec_msec+3 
	CALL        _sw_on_msec+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__input_timer338
;auto_pump.mbas,589 :: 		eeprom_word_write( EEPROM_TIMER_ADDRESS, temp )
	MOVLW       1
	MOVWF       FARG_eeprom_word_write_address+0 
	MOVLW       0
	MOVWF       FARG_eeprom_word_write_address+1 
	MOVF        input_timer_temp+0, 0 
	MOVWF       FARG_eeprom_word_write_dataval+0 
	MOVF        input_timer_temp+1, 0 
	MOVWF       FARG_eeprom_word_write_dataval+1 
	CALL        _eeprom_word_write+0, 0
;auto_pump.mbas,590 :: 		display_kinoubango()
	CALL        _display_kinoubango+0, 0
;auto_pump.mbas,591 :: 		led_off(5)
	MOVLW       5
	MOVWF       FARG_LED_OFF_led_no+0 
	CALL        _LED_OFF+0, 0
;auto_pump.mbas,592 :: 		exit
	GOTO        L_end__input_timer
L__input_timer338:
;auto_pump.mbas,594 :: 		wend
	GOTO        L__input_timer321
;auto_pump.mbas,595 :: 		end sub
L_end__input_timer:
L_end_input_timer:
	RETURN      0
; end of _input_timer

_haisui_fs2:

;auto_pump.mbas,603 :: 		sub procedure haisui_fs2()
;auto_pump.mbas,604 :: 		if float_sw_on(1) then
	MOVLW       1
	MOVWF       FARG_float_sw_on_float_sw_no+0 
	CALL        _float_sw_on+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_fs2342
;auto_pump.mbas,605 :: 		relay_on()
	CALL        _relay_on+0, 0
	GOTO        L__haisui_fs2343
;auto_pump.mbas,606 :: 		else if float_sw_off(2) then
L__haisui_fs2342:
	MOVLW       2
	MOVWF       FARG_float_sw_off_float_sw_no+0 
	CALL        _float_sw_off+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_fs2345
;auto_pump.mbas,607 :: 		relay_off()
	CALL        _relay_off+0, 0
L__haisui_fs2345:
;auto_pump.mbas,608 :: 		end if end if
L__haisui_fs2343:
;auto_pump.mbas,609 :: 		end sub
L_end_haisui_fs2:
	RETURN      0
; end of _haisui_fs2

_cyusui_fs2:

;auto_pump.mbas,617 :: 		sub procedure cyusui_fs2()
;auto_pump.mbas,618 :: 		if float_sw_on(1) then
	MOVLW       1
	MOVWF       FARG_float_sw_on_float_sw_no+0 
	CALL        _float_sw_on+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__cyusui_fs2349
;auto_pump.mbas,619 :: 		relay_off()
	CALL        _relay_off+0, 0
	GOTO        L__cyusui_fs2350
;auto_pump.mbas,620 :: 		else if float_sw_off(2) then
L__cyusui_fs2349:
	MOVLW       2
	MOVWF       FARG_float_sw_off_float_sw_no+0 
	CALL        _float_sw_off+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__cyusui_fs2352
;auto_pump.mbas,621 :: 		relay_on()
	CALL        _relay_on+0, 0
L__cyusui_fs2352:
;auto_pump.mbas,622 :: 		end if end if
L__cyusui_fs2350:
;auto_pump.mbas,623 :: 		end sub
L_end_cyusui_fs2:
	RETURN      0
; end of _cyusui_fs2

_haisui_timer_fs2:

;auto_pump.mbas,631 :: 		sub procedure haisui_timer_fs2()
;auto_pump.mbas,632 :: 		if float_sw_on(1) then
	MOVLW       1
	MOVWF       FARG_float_sw_on_float_sw_no+0 
	CALL        _float_sw_on+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_timer_fs2356
;auto_pump.mbas,633 :: 		down_timer_4msec = eeprom_word_read( EEPROM_TIMER_ADDRESS ) * 250
	MOVLW       1
	MOVWF       FARG_eeprom_word_read_address+0 
	MOVLW       0
	MOVWF       FARG_eeprom_word_read_address+1 
	CALL        _eeprom_word_read+0, 0
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
	MOVLW       250
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _down_timer_4msec+0 
	MOVF        R1, 0 
	MOVWF       _down_timer_4msec+1 
	MOVF        R2, 0 
	MOVWF       _down_timer_4msec+2 
	MOVF        R3, 0 
	MOVWF       _down_timer_4msec+3 
;auto_pump.mbas,634 :: 		timer_enable = FALSE
	CLRF        _timer_enable+0 
;auto_pump.mbas,635 :: 		relay_on()
	CALL        _relay_on+0, 0
	GOTO        L__haisui_timer_fs2357
;auto_pump.mbas,636 :: 		else
L__haisui_timer_fs2356:
;auto_pump.mbas,637 :: 		if float_sw_off(2) then
	MOVLW       2
	MOVWF       FARG_float_sw_off_float_sw_no+0 
	CALL        _float_sw_off+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_timer_fs2359
;auto_pump.mbas,638 :: 		timer_enable = TRUE
	MOVLW       255
	MOVWF       _timer_enable+0 
;auto_pump.mbas,639 :: 		display_status = STATUS_DISPLAY_TIMER
	MOVLW       1
	MOVWF       _display_status+0 
L__haisui_timer_fs2359:
;auto_pump.mbas,641 :: 		if timer_zero_test() then
	CALL        _timer_zero_test+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_timer_fs2362
;auto_pump.mbas,642 :: 		display_status = STATUS_DISPLAY_KINOU
	CLRF        _display_status+0 
;auto_pump.mbas,643 :: 		display_kinoubango()
	CALL        _display_kinoubango+0, 0
;auto_pump.mbas,644 :: 		relay_off()
	CALL        _relay_off+0, 0
L__haisui_timer_fs2362:
;auto_pump.mbas,646 :: 		end if
L__haisui_timer_fs2357:
;auto_pump.mbas,648 :: 		if sw_on_msec(1,2000)  then
	MOVLW       1
	MOVWF       FARG_sw_on_msec_sw_no+0 
	MOVLW       208
	MOVWF       FARG_sw_on_msec_msec+0 
	MOVLW       7
	MOVWF       FARG_sw_on_msec_msec+1 
	MOVLW       0
	MOVWF       FARG_sw_on_msec_msec+2 
	MOVWF       FARG_sw_on_msec_msec+3 
	CALL        _sw_on_msec+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_timer_fs2365
;auto_pump.mbas,649 :: 		input_timer()
	CALL        _input_timer+0, 0
L__haisui_timer_fs2365:
;auto_pump.mbas,651 :: 		end sub
L_end_haisui_timer_fs2:
	RETURN      0
; end of _haisui_timer_fs2

_haisui_cyusui_fs3:

;auto_pump.mbas,660 :: 		sub procedure haisui_cyusui_fs3()
;auto_pump.mbas,661 :: 		if float_sw_on(3) then
	MOVLW       3
	MOVWF       FARG_float_sw_on_float_sw_no+0 
	CALL        _float_sw_on+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_cyusui_fs3369
;auto_pump.mbas,662 :: 		relay_off()
	CALL        _relay_off+0, 0
	GOTO        L__haisui_cyusui_fs3370
;auto_pump.mbas,663 :: 		else
L__haisui_cyusui_fs3369:
;auto_pump.mbas,664 :: 		if float_sw_on(1) then
	MOVLW       1
	MOVWF       FARG_float_sw_on_float_sw_no+0 
	CALL        _float_sw_on+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_cyusui_fs3372
;auto_pump.mbas,665 :: 		relay_on()
	CALL        _relay_on+0, 0
	GOTO        L__haisui_cyusui_fs3373
;auto_pump.mbas,666 :: 		else if float_sw_off(2) then
L__haisui_cyusui_fs3372:
	MOVLW       2
	MOVWF       FARG_float_sw_off_float_sw_no+0 
	CALL        _float_sw_off+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_cyusui_fs3375
;auto_pump.mbas,667 :: 		relay_off()
	CALL        _relay_off+0, 0
L__haisui_cyusui_fs3375:
;auto_pump.mbas,668 :: 		end if end if
L__haisui_cyusui_fs3373:
;auto_pump.mbas,669 :: 		end if
L__haisui_cyusui_fs3370:
;auto_pump.mbas,670 :: 		end sub
L_end_haisui_cyusui_fs3:
	RETURN      0
; end of _haisui_cyusui_fs3

_haisui_timer_cyusui_fs3:

;auto_pump.mbas,679 :: 		sub procedure haisui_timer_cyusui_fs3()
;auto_pump.mbas,680 :: 		if float_sw_on(3) then
	MOVLW       3
	MOVWF       FARG_float_sw_on_float_sw_no+0 
	CALL        _float_sw_on+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_timer_cyusui_fs3379
;auto_pump.mbas,681 :: 		relay_off()
	CALL        _relay_off+0, 0
	GOTO        L__haisui_timer_cyusui_fs3380
;auto_pump.mbas,682 :: 		else
L__haisui_timer_cyusui_fs3379:
;auto_pump.mbas,683 :: 		if float_sw_on(1) then
	MOVLW       1
	MOVWF       FARG_float_sw_on_float_sw_no+0 
	CALL        _float_sw_on+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_timer_cyusui_fs3382
;auto_pump.mbas,684 :: 		down_timer_4msec = eeprom_word_read( EEPROM_TIMER_ADDRESS ) * 250
	MOVLW       1
	MOVWF       FARG_eeprom_word_read_address+0 
	MOVLW       0
	MOVWF       FARG_eeprom_word_read_address+1 
	CALL        _eeprom_word_read+0, 0
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
	MOVLW       250
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _down_timer_4msec+0 
	MOVF        R1, 0 
	MOVWF       _down_timer_4msec+1 
	MOVF        R2, 0 
	MOVWF       _down_timer_4msec+2 
	MOVF        R3, 0 
	MOVWF       _down_timer_4msec+3 
;auto_pump.mbas,685 :: 		timer_enable = FALSE
	CLRF        _timer_enable+0 
;auto_pump.mbas,686 :: 		relay_on()
	CALL        _relay_on+0, 0
	GOTO        L__haisui_timer_cyusui_fs3383
;auto_pump.mbas,687 :: 		else
L__haisui_timer_cyusui_fs3382:
;auto_pump.mbas,688 :: 		if float_sw_off(2) then
	MOVLW       2
	MOVWF       FARG_float_sw_off_float_sw_no+0 
	CALL        _float_sw_off+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_timer_cyusui_fs3385
;auto_pump.mbas,689 :: 		timer_enable = TRUE
	MOVLW       255
	MOVWF       _timer_enable+0 
;auto_pump.mbas,690 :: 		display_status = STATUS_DISPLAY_TIMER
	MOVLW       1
	MOVWF       _display_status+0 
L__haisui_timer_cyusui_fs3385:
;auto_pump.mbas,692 :: 		if timer_zero_test() then
	CALL        _timer_zero_test+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_timer_cyusui_fs3388
;auto_pump.mbas,693 :: 		display_status = STATUS_DISPLAY_KINOU
	CLRF        _display_status+0 
;auto_pump.mbas,694 :: 		display_kinoubango()
	CALL        _display_kinoubango+0, 0
;auto_pump.mbas,695 :: 		relay_off()
	CALL        _relay_off+0, 0
L__haisui_timer_cyusui_fs3388:
;auto_pump.mbas,697 :: 		end if
L__haisui_timer_cyusui_fs3383:
;auto_pump.mbas,698 :: 		end if
L__haisui_timer_cyusui_fs3380:
;auto_pump.mbas,700 :: 		if sw_on_msec(1,2000)  then
	MOVLW       1
	MOVWF       FARG_sw_on_msec_sw_no+0 
	MOVLW       208
	MOVWF       FARG_sw_on_msec_msec+0 
	MOVLW       7
	MOVWF       FARG_sw_on_msec_msec+1 
	MOVLW       0
	MOVWF       FARG_sw_on_msec_msec+2 
	MOVWF       FARG_sw_on_msec_msec+3 
	CALL        _sw_on_msec+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_timer_cyusui_fs3391
;auto_pump.mbas,701 :: 		input_timer()
	CALL        _input_timer+0, 0
L__haisui_timer_cyusui_fs3391:
;auto_pump.mbas,703 :: 		end sub
L_end_haisui_timer_cyusui_fs3:
	RETURN      0
; end of _haisui_timer_cyusui_fs3

_haisui_timer_fs1:

;auto_pump.mbas,710 :: 		sub procedure haisui_timer_fs1()
;auto_pump.mbas,711 :: 		if float_sw_on(2) then
	MOVLW       2
	MOVWF       FARG_float_sw_on_float_sw_no+0 
	CALL        _float_sw_on+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_timer_fs1395
;auto_pump.mbas,712 :: 		down_timer_4msec = eeprom_word_read( EEPROM_TIMER_ADDRESS ) * 250
	MOVLW       1
	MOVWF       FARG_eeprom_word_read_address+0 
	MOVLW       0
	MOVWF       FARG_eeprom_word_read_address+1 
	CALL        _eeprom_word_read+0, 0
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
	MOVLW       250
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _down_timer_4msec+0 
	MOVF        R1, 0 
	MOVWF       _down_timer_4msec+1 
	MOVF        R2, 0 
	MOVWF       _down_timer_4msec+2 
	MOVF        R3, 0 
	MOVWF       _down_timer_4msec+3 
;auto_pump.mbas,713 :: 		timer_enable = FALSE
	CLRF        _timer_enable+0 
;auto_pump.mbas,714 :: 		relay_on()
	CALL        _relay_on+0, 0
	GOTO        L__haisui_timer_fs1396
;auto_pump.mbas,715 :: 		else
L__haisui_timer_fs1395:
;auto_pump.mbas,716 :: 		display_status = STATUS_DISPLAY_TIMER
	MOVLW       1
	MOVWF       _display_status+0 
;auto_pump.mbas,717 :: 		timer_enable = TRUE
	MOVLW       255
	MOVWF       _timer_enable+0 
;auto_pump.mbas,718 :: 		if timer_zero_test() then
	CALL        _timer_zero_test+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_timer_fs1398
;auto_pump.mbas,719 :: 		display_status = STATUS_DISPLAY_KINOU
	CLRF        _display_status+0 
;auto_pump.mbas,720 :: 		display_kinoubango()
	CALL        _display_kinoubango+0, 0
;auto_pump.mbas,721 :: 		relay_off()
	CALL        _relay_off+0, 0
L__haisui_timer_fs1398:
;auto_pump.mbas,723 :: 		end if
L__haisui_timer_fs1396:
;auto_pump.mbas,725 :: 		if sw_on_msec(1,2000)  then
	MOVLW       1
	MOVWF       FARG_sw_on_msec_sw_no+0 
	MOVLW       208
	MOVWF       FARG_sw_on_msec_msec+0 
	MOVLW       7
	MOVWF       FARG_sw_on_msec_msec+1 
	MOVLW       0
	MOVWF       FARG_sw_on_msec_msec+2 
	MOVWF       FARG_sw_on_msec_msec+3 
	CALL        _sw_on_msec+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_timer_fs1401
;auto_pump.mbas,726 :: 		input_timer()
	CALL        _input_timer+0, 0
L__haisui_timer_fs1401:
;auto_pump.mbas,728 :: 		end sub
L_end_haisui_timer_fs1:
	RETURN      0
; end of _haisui_timer_fs1

_haisui_delay_timer_fs1:

;auto_pump.mbas,735 :: 		sub procedure haisui_delay_timer_fs1()
;auto_pump.mbas,736 :: 		if float_sw_on(2) then
	MOVLW       2
	MOVWF       FARG_float_sw_on_float_sw_no+0 
	CALL        _float_sw_on+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_delay_timer_fs1405
;auto_pump.mbas,737 :: 		down_timer_4msec = eeprom_word_read( EEPROM_TIMER_ADDRESS ) * 250
	MOVLW       1
	MOVWF       FARG_eeprom_word_read_address+0 
	MOVLW       0
	MOVWF       FARG_eeprom_word_read_address+1 
	CALL        _eeprom_word_read+0, 0
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
	MOVLW       250
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _down_timer_4msec+0 
	MOVF        R1, 0 
	MOVWF       _down_timer_4msec+1 
	MOVF        R2, 0 
	MOVWF       _down_timer_4msec+2 
	MOVF        R3, 0 
	MOVWF       _down_timer_4msec+3 
;auto_pump.mbas,738 :: 		display_status = STATUS_DISPLAY_KINOU
	CLRF        _display_status+0 
;auto_pump.mbas,739 :: 		display_kinoubango()
	CALL        _display_kinoubango+0, 0
;auto_pump.mbas,740 :: 		relay_on()
	CALL        _relay_on+0, 0
L__haisui_delay_timer_fs1405:
;auto_pump.mbas,743 :: 		if float_sw_off(2) then
	MOVLW       2
	MOVWF       FARG_float_sw_off_float_sw_no+0 
	CALL        _float_sw_off+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_delay_timer_fs1408
;auto_pump.mbas,744 :: 		float_sw2_enable = FALSE
	CLRF        _float_sw2_enable+0 
;auto_pump.mbas,745 :: 		display_status = STATUS_DISPLAY_TIMER
	MOVLW       1
	MOVWF       _display_status+0 
;auto_pump.mbas,746 :: 		timer_enable = TRUE
	MOVLW       255
	MOVWF       _timer_enable+0 
;auto_pump.mbas,747 :: 		relay_off()
	CALL        _relay_off+0, 0
L__haisui_delay_timer_fs1408:
;auto_pump.mbas,750 :: 		if timer_zero_test() then
	CALL        _timer_zero_test+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_delay_timer_fs1411
;auto_pump.mbas,751 :: 		float_sw2_enable = TRUE
	MOVLW       255
	MOVWF       _float_sw2_enable+0 
;auto_pump.mbas,752 :: 		display_status = STATUS_DISPLAY_KINOU
	CLRF        _display_status+0 
;auto_pump.mbas,753 :: 		display_kinoubango()
	CALL        _display_kinoubango+0, 0
L__haisui_delay_timer_fs1411:
;auto_pump.mbas,756 :: 		if sw_on_msec(1,2000)  then
	MOVLW       1
	MOVWF       FARG_sw_on_msec_sw_no+0 
	MOVLW       208
	MOVWF       FARG_sw_on_msec_msec+0 
	MOVLW       7
	MOVWF       FARG_sw_on_msec_msec+1 
	MOVLW       0
	MOVWF       FARG_sw_on_msec_msec+2 
	MOVWF       FARG_sw_on_msec_msec+3 
	CALL        _sw_on_msec+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__haisui_delay_timer_fs1414
;auto_pump.mbas,757 :: 		input_timer()
	CALL        _input_timer+0, 0
L__haisui_delay_timer_fs1414:
;auto_pump.mbas,759 :: 		end sub
L_end_haisui_delay_timer_fs1:
	RETURN      0
; end of _haisui_delay_timer_fs1

_cyusui_delay_timer_fs1:

;auto_pump.mbas,766 :: 		sub procedure cyusui_delay_timer_fs1()
;auto_pump.mbas,767 :: 		if float_sw_off(1) then
	MOVLW       1
	MOVWF       FARG_float_sw_off_float_sw_no+0 
	CALL        _float_sw_off+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__cyusui_delay_timer_fs1418
;auto_pump.mbas,768 :: 		down_timer_4msec = eeprom_word_read( EEPROM_TIMER_ADDRESS ) * 250
	MOVLW       1
	MOVWF       FARG_eeprom_word_read_address+0 
	MOVLW       0
	MOVWF       FARG_eeprom_word_read_address+1 
	CALL        _eeprom_word_read+0, 0
	MOVLW       0
	MOVWF       R2 
	MOVWF       R3 
	MOVLW       250
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _down_timer_4msec+0 
	MOVF        R1, 0 
	MOVWF       _down_timer_4msec+1 
	MOVF        R2, 0 
	MOVWF       _down_timer_4msec+2 
	MOVF        R3, 0 
	MOVWF       _down_timer_4msec+3 
;auto_pump.mbas,769 :: 		display_status = STATUS_DISPLAY_KINOU
	CLRF        _display_status+0 
;auto_pump.mbas,770 :: 		display_kinoubango()
	CALL        _display_kinoubango+0, 0
;auto_pump.mbas,771 :: 		relay_on()
	CALL        _relay_on+0, 0
L__cyusui_delay_timer_fs1418:
;auto_pump.mbas,774 :: 		if float_sw_on(1) then
	MOVLW       1
	MOVWF       FARG_float_sw_on_float_sw_no+0 
	CALL        _float_sw_on+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__cyusui_delay_timer_fs1421
;auto_pump.mbas,775 :: 		float_sw1_enable = FALSE
	CLRF        _float_sw1_enable+0 
;auto_pump.mbas,776 :: 		display_status = STATUS_DISPLAY_TIMER
	MOVLW       1
	MOVWF       _display_status+0 
;auto_pump.mbas,777 :: 		timer_enable = TRUE
	MOVLW       255
	MOVWF       _timer_enable+0 
;auto_pump.mbas,778 :: 		relay_off()
	CALL        _relay_off+0, 0
L__cyusui_delay_timer_fs1421:
;auto_pump.mbas,781 :: 		if timer_zero_test() then
	CALL        _timer_zero_test+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__cyusui_delay_timer_fs1424
;auto_pump.mbas,782 :: 		float_sw1_enable = TRUE
	MOVLW       255
	MOVWF       _float_sw1_enable+0 
;auto_pump.mbas,783 :: 		display_status = STATUS_DISPLAY_KINOU
	CLRF        _display_status+0 
;auto_pump.mbas,784 :: 		display_kinoubango()
	CALL        _display_kinoubango+0, 0
L__cyusui_delay_timer_fs1424:
;auto_pump.mbas,787 :: 		if sw_on_msec(1,2000)  then
	MOVLW       1
	MOVWF       FARG_sw_on_msec_sw_no+0 
	MOVLW       208
	MOVWF       FARG_sw_on_msec_msec+0 
	MOVLW       7
	MOVWF       FARG_sw_on_msec_msec+1 
	MOVLW       0
	MOVWF       FARG_sw_on_msec_msec+2 
	MOVWF       FARG_sw_on_msec_msec+3 
	CALL        _sw_on_msec+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__cyusui_delay_timer_fs1427
;auto_pump.mbas,788 :: 		input_timer()
	CALL        _input_timer+0, 0
L__cyusui_delay_timer_fs1427:
;auto_pump.mbas,790 :: 		end sub
L_end_cyusui_delay_timer_fs1:
	RETURN      0
; end of _cyusui_delay_timer_fs1

_main:

;auto_pump.mbas,795 :: 		main:
;auto_pump.mbas,796 :: 		INTCON2.RBPU = 1  ' 1:disable 0:enable PORTA and PORTB Pull-up
	BSF         INTCON2+0, 7 
;auto_pump.mbas,797 :: 		ANSELB.ANSB0  = 0  ' 0:digital 1:analog  FLOAT SW1
	BCF         ANSELB+0, 0 
;auto_pump.mbas,798 :: 		ANSELA.ANSA3  = 0  ' 0:digital 1:analog  FLOAT SW2
	BCF         ANSELA+0, 3 
;auto_pump.mbas,799 :: 		ANSELA.ANSA2  = 0  ' 0:digital 1:analog  FLOAT SW3
	BCF         ANSELA+0, 2 
;auto_pump.mbas,800 :: 		ANSELA.ANSA5  = 0  ' 0:digital 1:analog  TACTILE SW3
	BCF         ANSELA+0, 5 
;auto_pump.mbas,803 :: 		LED_DEV1_TRIS.LED_DEV1_BIT = PORT_OUTPUT    ' 7 SEGMENT LED 1
	BCF         TRISB+0, 5 
;auto_pump.mbas,804 :: 		LED_DEV2_TRIS.LED_DEV2_BIT = PORT_OUTPUT    ' 7 SEGMENT LED 2
	BCF         TRISB+0, 4 
;auto_pump.mbas,805 :: 		LED_DEV3_TRIS.LED_DEV3_BIT = PORT_OUTPUT    ' 7 SEGMENT LED 3
	BCF         TRISB+0, 3 
;auto_pump.mbas,806 :: 		LED_DEV4_TRIS.LED_DEV4_BIT = PORT_OUTPUT    ' 7 SEGMENT LED 4
	BCF         TRISB+0, 2 
;auto_pump.mbas,808 :: 		LED_SEG_TRIS.LED_SEGA_BIT  = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	BCF         TRISC+0, 0 
;auto_pump.mbas,809 :: 		LED_SEG_TRIS.LED_SEGB_BIT  = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	BCF         TRISC+0, 1 
;auto_pump.mbas,810 :: 		LED_SEG_TRIS.LED_SEGC_BIT  = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	BCF         TRISC+0, 2 
;auto_pump.mbas,811 :: 		LED_SEG_TRIS.LED_SEGD_BIT  = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	BCF         TRISC+0, 3 
;auto_pump.mbas,812 :: 		LED_SEG_TRIS.LED_SEGE_BIT  = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	BCF         TRISC+0, 4 
;auto_pump.mbas,813 :: 		LED_SEG_TRIS.LED_SEGF_BIT  = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	BCF         TRISC+0, 5 
;auto_pump.mbas,814 :: 		LED_SEG_TRIS.LED_SEGG_BIT  = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	BCF         TRISC+0, 6 
;auto_pump.mbas,815 :: 		LED_SEG_TRIS.LED_SEGDP_BIT = PORT_OUTPUT    ' 7 SEGMENT LED SEGMENT
	BCF         TRISC+0, 7 
;auto_pump.mbas,817 :: 		LED5_TRIS.LED5_BIT = PORT_OUTPUT
	BCF         TRISA+0, 0 
;auto_pump.mbas,818 :: 		LED6_TRIS.LED6_BIT = PORT_OUTPUT
	BCF         TRISA+0, 1 
;auto_pump.mbas,819 :: 		LED7_TRIS.LED7_BIT = PORT_OUTPUT
	BCF         TRISB+0, 6 
;auto_pump.mbas,820 :: 		LED8_TRIS.LED8_BIT = PORT_OUTPUT
	BCF         TRISB+0, 7 
;auto_pump.mbas,822 :: 		RELAY_TRIS.RELAY_BIT = PORT_OUTPUT
	BCF         TRISB+0, 1 
;auto_pump.mbas,824 :: 		FLOAT_SW1_TRIS.FLOAT_SW1_BIT = PORT_INPUT
	BSF         TRISB+0, 0 
;auto_pump.mbas,825 :: 		FLOAT_SW2_TRIS.FLOAT_SW2_BIT = PORT_INPUT
	BSF         TRISA+0, 3 
;auto_pump.mbas,826 :: 		FLOAT_SW3_TRIS.FLOAT_SW3_BIT = PORT_INPUT
	BSF         TRISA+0, 2 
;auto_pump.mbas,828 :: 		SW2_TRIS.SW2_BIT = PORT_INPUT
	BSF         TRISA+0, 4 
;auto_pump.mbas,829 :: 		SW3_TRIS.SW3_BIT = PORT_INPUT
	BSF         TRISA+0, 5 
;auto_pump.mbas,832 :: 		LED_DEV1_PORT.LED_DEV1_BIT = LED_7SEG_OFF
	BSF         PORTB+0, 5 
;auto_pump.mbas,833 :: 		LED_DEV2_PORT.LED_DEV2_BIT = LED_7SEG_OFF
	BSF         PORTB+0, 4 
;auto_pump.mbas,834 :: 		LED_DEV3_PORT.LED_DEV3_BIT = LED_7SEG_OFF
	BSF         PORTB+0, 3 
;auto_pump.mbas,835 :: 		LED_DEV4_PORT.LED_DEV4_BIT = LED_7SEG_OFF
	BSF         PORTB+0, 2 
;auto_pump.mbas,837 :: 		relay_off()
	CALL        _relay_off+0, 0
;auto_pump.mbas,839 :: 		led_off(5)
	MOVLW       5
	MOVWF       FARG_LED_OFF_led_no+0 
	CALL        _LED_OFF+0, 0
;auto_pump.mbas,840 :: 		led_off(6)
	MOVLW       6
	MOVWF       FARG_LED_OFF_led_no+0 
	CALL        _LED_OFF+0, 0
;auto_pump.mbas,841 :: 		led_off(7)
	MOVLW       7
	MOVWF       FARG_LED_OFF_led_no+0 
	CALL        _LED_OFF+0, 0
;auto_pump.mbas,842 :: 		led_off(8)
	MOVLW       8
	MOVWF       FARG_LED_OFF_led_no+0 
	CALL        _LED_OFF+0, 0
;auto_pump.mbas,844 :: 		led_val1 = Digit_8
	MOVLW       128
	MOVWF       _led_val1+0 
;auto_pump.mbas,845 :: 		led_val2 = Digit_8
	MOVLW       128
	MOVWF       _led_val2+0 
;auto_pump.mbas,846 :: 		led_val3 = Digit_8
	MOVLW       128
	MOVWF       _led_val3+0 
;auto_pump.mbas,847 :: 		led_val4 = Digit_8
	MOVLW       128
	MOVWF       _led_val4+0 
;auto_pump.mbas,850 :: 		led_pos = 1
	MOVLW       1
	MOVWF       _led_pos+0 
;auto_pump.mbas,851 :: 		kinou_bango = kinou_bango_read()
	CALL        _kinou_bango_read+0, 0
	MOVF        R0, 0 
	MOVWF       _kinou_bango+0 
;auto_pump.mbas,852 :: 		down_timer_4msec = 0
	CLRF        _down_timer_4msec+0 
	CLRF        _down_timer_4msec+1 
	CLRF        _down_timer_4msec+2 
	CLRF        _down_timer_4msec+3 
;auto_pump.mbas,853 :: 		display_status = STATUS_DISPLAY_KINOU
	CLRF        _display_status+0 
;auto_pump.mbas,854 :: 		use_sw1 = FALSE
	CLRF        _use_sw1+0 
;auto_pump.mbas,855 :: 		use_sw2 = FALSE
	CLRF        _use_sw2+0 
;auto_pump.mbas,856 :: 		use_sw3 = FALSE
	CLRF        _use_sw3+0 
;auto_pump.mbas,859 :: 		Timer0_prescale_NOT_assign = FALSE
	BCF         T0CON+0, 3 
;auto_pump.mbas,860 :: 		Timer0_prescale_bit2       = 0 ' prescale = 16
	BCF         T0CON+0, 2 
;auto_pump.mbas,861 :: 		Timer0_prescale_bit1       = 1
	BSF         T0CON+0, 1 
;auto_pump.mbas,862 :: 		Timer0_prescale_bit0       = 1
	BSF         T0CON+0, 0 
;auto_pump.mbas,863 :: 		Timer0_mode_8bit           = TRUE  ' 8bit mode
	BSF         T0CON+0, 6 
;auto_pump.mbas,864 :: 		Timer0_interrupt_enable    = FALSE
	BCF         INTCON+0, 5 
;auto_pump.mbas,865 :: 		Timer0_use_external_clock  = FALSE
	BCF         T0CON+0, 5 
;auto_pump.mbas,866 :: 		Timer0_enable              = TRUE
	BSF         T0CON+0, 7 
;auto_pump.mbas,869 :: 		Timer2_interrupt_enable    = FALSE
	BCF         PIE1+0, 1 
;auto_pump.mbas,870 :: 		Timer2_enable              = TRUE
	BSF         T2CON+0, 2 
;auto_pump.mbas,871 :: 		Timer2_period_register     = 131 ' 131 = 4msec
	MOVLW       131
	MOVWF       PR2+0 
;auto_pump.mbas,872 :: 		Timer2_postscale_bit0      = 0   ' postscale is 10
	BCF         T2CON+0, 3 
;auto_pump.mbas,873 :: 		Timer2_postscale_bit1      = 1
	BSF         T2CON+0, 4 
;auto_pump.mbas,874 :: 		Timer2_postscale_bit2      = 0
	BCF         T2CON+0, 5 
;auto_pump.mbas,875 :: 		Timer2_postscale_bit3      = 1
	BSF         T2CON+0, 6 
;auto_pump.mbas,876 :: 		Timer2_prescale_bit0       = 1   ' prescale is 16
	BSF         T2CON+0, 0 
;auto_pump.mbas,877 :: 		Timer2_prescale_bit1       = 1
	BSF         T2CON+0, 1 
;auto_pump.mbas,878 :: 		peripheral_interrupt_enable = TRUE
	BSF         INTCON+0, 6 
;auto_pump.mbas,880 :: 		Timer0_interrupt_enable     = TRUE
	BSF         INTCON+0, 5 
;auto_pump.mbas,881 :: 		Timer2_interrupt_enable     = TRUE
	BSF         PIE1+0, 1 
;auto_pump.mbas,882 :: 		interrupt_enable            = TRUE
	BSF         INTCON+0, 7 
;auto_pump.mbas,884 :: 		display_kinoubango()
	CALL        _display_kinoubango+0, 0
;auto_pump.mbas,885 :: 		delay_ms(1000)
	MOVLW       26
	MOVWF       R11, 0
	MOVLW       94
	MOVWF       R12, 0
	MOVLW       110
	MOVWF       R13, 0
L__main430:
	DECFSZ      R13, 1, 1
	BRA         L__main430
	DECFSZ      R12, 1, 1
	BRA         L__main430
	DECFSZ      R11, 1, 1
	BRA         L__main430
	NOP
;auto_pump.mbas,887 :: 		if sw_on_msec(1,1000)  then
	MOVLW       1
	MOVWF       FARG_sw_on_msec_sw_no+0 
	MOVLW       232
	MOVWF       FARG_sw_on_msec_msec+0 
	MOVLW       3
	MOVWF       FARG_sw_on_msec_msec+1 
	MOVLW       0
	MOVWF       FARG_sw_on_msec_msec+2 
	MOVWF       FARG_sw_on_msec_msec+3 
	CALL        _sw_on_msec+0, 0
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__main432
;auto_pump.mbas,888 :: 		kinou_kirikae()
	CALL        _kinou_kirikae+0, 0
L__main432:
;auto_pump.mbas,891 :: 		float_sw1_enable = TRUE
	MOVLW       255
	MOVWF       _float_sw1_enable+0 
;auto_pump.mbas,892 :: 		float_sw2_enable = TRUE
	MOVLW       255
	MOVWF       _float_sw2_enable+0 
;auto_pump.mbas,893 :: 		float_sw3_enable = TRUE
	MOVLW       255
	MOVWF       _float_sw3_enable+0 
;auto_pump.mbas,894 :: 		timer_enable     = FALSE
	CLRF        _timer_enable+0 
;auto_pump.mbas,896 :: 		while( true )
L__main435:
;auto_pump.mbas,898 :: 		case 1  haisui_fs2()
	MOVF        _kinou_bango+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L__main442
	CALL        _haisui_fs2+0, 0
	GOTO        L__main439
L__main442:
;auto_pump.mbas,899 :: 		case 2  cyusui_fs2()
	MOVF        _kinou_bango+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L__main445
	CALL        _cyusui_fs2+0, 0
	GOTO        L__main439
L__main445:
;auto_pump.mbas,900 :: 		case 3  haisui_timer_fs2()
	MOVF        _kinou_bango+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main448
	CALL        _haisui_timer_fs2+0, 0
	GOTO        L__main439
L__main448:
;auto_pump.mbas,901 :: 		case 4  haisui_cyusui_fs3()
	MOVF        _kinou_bango+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L__main451
	CALL        _haisui_cyusui_fs3+0, 0
	GOTO        L__main439
L__main451:
;auto_pump.mbas,902 :: 		case 5  haisui_timer_cyusui_fs3()
	MOVF        _kinou_bango+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L__main454
	CALL        _haisui_timer_cyusui_fs3+0, 0
	GOTO        L__main439
L__main454:
;auto_pump.mbas,903 :: 		case 6  haisui_timer_fs1()
	MOVF        _kinou_bango+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L__main457
	CALL        _haisui_timer_fs1+0, 0
	GOTO        L__main439
L__main457:
;auto_pump.mbas,904 :: 		case 7  haisui_delay_timer_fs1()
	MOVF        _kinou_bango+0, 0 
	XORLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L__main460
	CALL        _haisui_delay_timer_fs1+0, 0
	GOTO        L__main439
L__main460:
;auto_pump.mbas,905 :: 		case 8  cyusui_delay_timer_fs1()
	MOVF        _kinou_bango+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L__main463
	CALL        _cyusui_delay_timer_fs1+0, 0
	GOTO        L__main439
L__main463:
L__main439:
;auto_pump.mbas,908 :: 		display_down_timer()
	CALL        _display_down_timer+0, 0
;auto_pump.mbas,909 :: 		wend
	GOTO        L__main435
L_end_main:
	GOTO        $+0
; end of _main
